Subject: bug#20773: 11.88.6; Preview fails on nested \include{} using \documentclass{sigplanconf}

From: Tassilo Horn <[email-masked]>
Date: Tue, 09 Jun 2015 17:08:45 +0200

David Kastrup <[email-masked]> writes:

>> Indeed, sigplanconf.cls contains
>>
>>   \errorcontextlines = 5
>>
>>> It might be worth trying to put
>>>
>>> \newcount\errorcontextlines
>>>
>>> (making the original \errorcontextlines inaccessible) before
>>> \documentclass in order to see whether this makes a difference.
>>
>> No, it doesn't make any difference although I didn't check the preview
>> output line by line but at least I still get the two errors from above
>> alternatingly.
>
> Including the Ghostscript filter thing?

Yes:

--8<---------------cut here---------------start------------->8---
TeX Output exited as expected with code 1 at Tue Jun  9 17:07:04
Running `Preview-PDF2DSC' with ``pdf2dsc main.pdf main.prv/tmp46789xe/preview.dsc''

Preview-PDF2DSC finished at Tue Jun  9 17:07:04
Running `Preview-Ghostscript' with ``/usr/local/texlive/2014/bin/x86_64-linux/rungs -dOutputFile\=\(main.prv/tmp46789xe/pr1-\%d.png\) -q -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r96.0757x96.0504''
Ghostscript filter: No bounding box

Preview-Ghostscript finished at Tue Jun  9 17:07:04
--8<---------------cut here---------------end--------------->8---

And to be clear, I've also put the \newcount\errorcontextlines before
the \documentclass.

Bye,
Tassilo